### Method

# Gtk TreeModel iter_next

#### Declaration [src]

    gboolean
    gtk_tree_model_iter_next (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Sets `iter` to point to the node following it at the current level.

If there is no next `iter`, `FALSE` is returned and `iter` is set to be invalid.

#### Parameters

`iter` | `GtkTreeIter`
| The `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `iter` has been changed to the next node.